Subject: Re: [bug#76185] Request for merging "tex-team" branch

From: Nicolas Goaziou <[email-masked]>
Date: Mon, 05 May 2025 12:48:11 +0200

Hello,

Andreas Enge <[email-masked]> writes:

> I am seeing one build failure, in asymptote:
>    https://qa.guix.gnu.org/branch/tex-team/package-changes?i686-linux-change=broken&i686-linux-change=still-failing&i686-linux-change=unknown-to-failing&i686-linux-change=new-failing
>
> The build log finishes like this:
> kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+0/600 --dpi 600 tcrm1000
> mkdir: cannot create directory ‘././.texlive2025’: Permission denied
> mktexpk: /gnu/store/g98vmp0qk4y9fjn7330vlpfnnhiyvcai-texlive-local-tree-2025.2/share/texmf-dist/web2c/mktexdir /.texlive2025/texmf-var/fonts/pk/ljfour/jknappen/ec failed.
> kpathsea: Appending font creation commands to missfont.log.
> LaTeX Warning: There were undefined references.
> LaTeX Warning: Label(s) may have changed. Rerun to get cross-references right.
>  )
> !pdfTeX error: pdflatex (file tcrm1000): Font tcrm1000 at 600 not found
>  ==> Fatal error occurred, no output PDF file produced!
>
> Would it be enough to add a font file?

I noticed it, too. I didn’t fix it because it has very few dependents
and can be fixed on master.

The error is that the LaTeX process cannot generate required font shapes
because TEXMFVAR it not writable. It used to be $HOME/something but now
is $XDG_CACHE_HOME/something. None are writable during build, but
a phase in asymptote package relocates $HOME to "/tmp", which silently
made TEXMFVAR writable. It is no longer sufficient. The fix, as is done
for other packages, is to (setenv "TEXMFVAR" "/tmp") in another phase.

I can fix it in the branch or after it is merged.

Regards,
-- 
Nicolas Goaziou